﻿@inherits LayoutComponentBase
@inject NavigationManager NavigationManager
@inject AuthenticationStateProvider authStateProvider

<div class="container-fluid">
    <div class="row">
        <!-- Sidebar -->
        <div class="col-md-3 col-lg-2 d-md-block sidebar">
            <NavMenu />
        </div>

        <!-- Main Content -->
        <main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-md-4">
            <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
                <h1 class="h2">
                    <AuthorizeView>
                        <Authorized>
                            <span>Hello, @context.User.Identity.Name!</span>
                        </Authorized>
                        <NotAuthorized>
                            <span>Dashboard</span>
                        </NotAuthorized>
                    </AuthorizeView>
                </h1>
                <div class="btn-toolbar mb-2 mb-md-0 text-center">
                    <AuthorizeView>
                        <Authorized>
                            <button class="btn btn-outline-danger" @onclick="Logout">Logout</button>
                        </Authorized>
                    </AuthorizeView>
                </div>
            </div>

            <article class="content">
                @Body
            </article>
        </main>
    </div>
</div>

<div id="blazor-error-ui">
    An unhandled error has occurred.
    <a href="" class="reload">Reload</a>
    <a class="dismiss">🗙</a>
</div>

@code {
    private async void Logout()
    {
        // Kill the session
        await ((CustomAuthenticationStateProvider)authStateProvider).Logout();
        // Redirect the user to the login page
        NavigationManager.NavigateTo("/login");
    }
}
